Image2DTagHandler (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.taglib.Image2DTagHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class Image2DTagHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          com.sun.facelets.tag.MetaTagHandler
              com.sun.facelets.tag.jsf.ComponentHandler
                  org.richfaces.taglib.Image2DTagHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

Direct Known Subclasses:
  Paint2DTagHandler

    public class Image2DTagHandler

extends com.sun.facelets.tag.jsf.ComponentHandler

Version:
  $Revision: 1.2 $ $Date: 2007/02/21 20:35:04 $
Author:
  shura (latest modification by $Author: ishabalov $)

Field Summary

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`Image2DTagHandler(com.sun.facelets.tag.jsf.ComponentConfig config)`

Method Summary
`protected com.sun.facelets.tag.MetaRuleset` | `createMetaRuleset(java.lang.Class type)`

Methods inherited from class com.sun.facelets.tag.jsf.ComponentHandler
`apply, applyNextHandler, createComponent, getFacetName, getId, onComponentCreated, onComponentPopulated`

Methods inherited from class com.sun.facelets.tag.MetaTagHandler
`setAttributes`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Image2DTagHandler

    public Image2DTagHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

Parameters:
  `config` -

Method Detail

### createMetaRuleset

    protected com.sun.facelets.tag.MetaRuleset createMetaRuleset(java.lang.Class type)

  Overrides:
    `createMetaRuleset` in class `com.sun.facelets.tag.jsf.ComponentHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.